import 'package:hl_lieferservice/dto/image_note_response.dart';

import 'note.dart';
import 'package:json_annotation/json_annotation.dart';

part 'note_get_response.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class NoteGetResponseDTO {
  NoteGetResponseDTO(
      {required this.notes, required this.succeeded, required this.message, required this.images});

  final List<NoteDTO> notes;
  final List<ImageNoteDTO> images;
  final bool succeeded;
  final String message;

  factory NoteGetResponseDTO.fromJson(Map<String, dynamic> json) =>
      _$NoteGetResponseDTOFromJson(json);

  Map<dynamic, dynamic> toJson() => _$NoteGetResponseDTOToJson(this);
}
